#version 150 core
#extension GL_EXT_gpu_shader4 : enable
#extension GL_EXT_texture_array : enable

precision highp float;
precision highp int;

uniform sampler2D uTex;
uniform sampler2DArray uDetails;

uniform float uBeta = 1.0;

out vec4 outData;

void main()
{
	vec4 data = texelFetch(uTex, ivec2(gl_FragCoord.xy), 0);
	int levelMax = int(textureSize(uDetails, 0).z);
	
	for(int i=0; i<levelMax; i++)
	{
		data += texelFetch(uDetails, ivec3(gl_FragCoord.xy, i), 0) * uBeta;
	}

	outData = data;
}